import React, { useState, useEffect } from 'react';
import { tsv } from 'd3';

const csvUrl ='https://gist.githubusercontent.com/sophburke/9584ace7377981efb06efa4336daee75/raw/c73193c2bbfc84cdb6e4f71cc9d386ec7c21fae1/hx-mitx-course-person-dataset2013-10k-October9.csv'
export const useData = () => {
  const [data, setData] = useState(null);
console.log(data);

  useEffect(() => {
    const row = d => {
      d.age = +d.age;
      d.nplay_video = +d.nplay_video;
      d.ndays_act=+d.ndays_act;
      d.nforum_posts = +d.nforum_posts;
      d.certified=+d.certified
      return d;
    };
    tsv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};